Package org.apache.tools.ant.taskdefs.compilers

# Class Gcj

java.lang.Object
org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
org.apache.tools.ant.taskdefs.compilers.Gcj

All Implemented Interfaces:
  `CompilerAdapter`, `CompilerAdapterExtension`

    public class Gcj
    extends DefaultCompilerAdapter

The implementation of the gcj compiler. This is primarily a cut-and-paste from the jikes.

Since:
  Ant 1.4

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

  `attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Gcj()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `execute()` | Performs a compile using the gcj compiler.
  `boolean` | `isNativeBuild()` | Whether any of the arguments given via <compilerarg> implies that compilation to native code is requested.
  `protected Commandline` | `setupGCJCommand()` | Set up the gcj commandline.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

  `addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava1_1Plus, assumeJava1_2Plus, assumeJava1_3Plus, assumeJava1_4Plus, assumeJava1_5Plus, assumeJava1_6Plus, assumeJava1_7Plus, assumeJava1_8Plus, assumeJava10Plus, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, assumeJava9Plus, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Gcj

    public Gcj()

- ## Method Details

  - ### execute

    public boolean execute() throws BuildException
    Performs a compile using the gcj compiler.
    Returns:
      true if the compilation succeeded
    Throws:
      `BuildException` - on error

  - ### setupGCJCommand

    protected Commandline setupGCJCommand()
    Set up the gcj commandline.
    Returns:
      the command line

  - ### isNativeBuild

    public boolean isNativeBuild()
    Whether any of the arguments given via <compilerarg> implies that compilation to native code is requested.
    Returns:
      true if compilation to native code is requested
    Since:
      Ant 1.6.2